WordPress.org

Ready to get started?Download WordPress

Forums

podPress and WP 3.0 (7 posts)

  1. ntm
    Member
    Posted 4 years ago #

    podPress 8.8.4 does not work with WP 3.0. But there is a Development Version which has been tested with WP 3.0 in SingleSite and MultiSide Mode successfully. But is still a Beta version because it is possible that it includes still some bugs.
    I would appreciate it if you could help me testing and finding these bugs.
    Test this Development Version in save environment (not in your productive blog). Because this is a Beta: please make backups of all of your blog files, folders and the data base before you start testing!

    Please, report your experiences (good and bad) with this Beta version here.

  2. raymer
    Member
    Posted 4 years ago #

    Hi Tim,
    I am now using podpress 8.8.5 beta 14.1 with WP 3.0 on one of my sites. This version of podpress seems to work well with WP 2.9.2 and I bit the bullet and upgraded to WP3.0 (using svn).

    After the WP upgrade and deactivating and reactivating podpress I get this message at the top of the admin console:

    The plugin generated 2533 characters of unexpected output during activation. If you notice “headers already sent” messages, problems with syndication feeds or other issues, try deactivating or removing this plugin.

    So far things look like they are working. I use a feed that is redirected through feedburner into iTunes. If I notice problems with iTunes I will post again but the feed validates and so far so good.

    Thanks for supporting this plugin!

    -Ray

  3. ntm
    Member
    Posted 4 years ago #

    Hmm ... Is this messages occurring each time you de-/reactivate podPress? If this happens each time then please take a look at beginning of the source code of your plugins page after the reactivation. Maybe you can see the original text of the PHP warning which stands probably behind this message of WordPress. The original message is probably helpful tfor the debugging.

    In general it might be a good idea to save the settings at each podPress page after an podPress upgrade.

    I will probably mark the trunk/-version as stable in the next week.

  4. raymer
    Member
    Posted 4 years ago #

    Yes. I get the same error msg each time I de/re-activate the podpress plugin. I just looked at the source of the page after re-activating and there doesn't seem to be any extra info:

    </div>
    
    	<div id="message" class="updated"><p>The plugin generated 2533 characters of <strong>unexpected output</strong> during activation.  If you notice “headers already sent” messages, problems with syndication feeds or other issues, try deactivating or removing this plugin.</p>
    		</div>

    There is no change in behavior after saving the settings on each option page. I had "Enable PodPress Statistics" checked so I tried unchecking that also, but no change. Every time I enable the plugin I get the same message on the top of the plugins page in the admin console.

    -Ray

  5. raymer
    Member
    Posted 4 years ago #

    FWIW,
    I googled this error msg and noticed that some had a similar msg apparently when plugin source files became corrupted. So I deleted the entire podpress dir and did a fresh checkout from the svn trunk. No change - same error msg appears each time I disable/enable the plugin.

    -Ray

  6. raymer
    Member
    Posted 3 years ago #

    Here I am again. I really would like to figure out this unexpected output error msg before I use podpress on several production sites. I will create a new thread about it.

  7. ntm
    Member
    Posted 3 years ago #

    Notice: the mentioned other thread is here.

Topic Closed

This topic has been closed to new replies.

About this Topic